<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-deployment-overview.qdoc -->
  <title>Deploying to Devices | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Deploying to Devices</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-running-targets.html" />
  <link rel="next" href="creator-deploying-android.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-running-targets.html">Running on Multiple Platforms</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-deploying-android.html">Deploying Applications to Android Devices</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Deploying to Devices</h1>
<span class="subtitle"></span>
<!-- $$$creator-deployment.html-description -->
<div class="descr"> <a name="details"></a>
<p>Deploy configurations in the <b>Project</b> mode <b>Run Settings</b> handle the packaging of the application as an executable and copying it to a location you want to run the executable at. The files can be copied to a location in the file system of the development PC or a <a href="creator-glossary.html#glossary-device">device</a>.</p>
<ul>
<li><a href="creator-deploying-android.html">Deploying Applications to Android Devices</a><p>When you deploy the application to an Android device, Qt Creator copies the application files to the device. In addition, you can determine the Qt libraries to use.</p>
</li>
<li><a href="creator-deployment-embedded-linux.html">Deploying Applications to Embedded Linux Devices</a><p>When you deploy the application to a generic Linux-based device, Qt Creator copies the application files to the connected device. You can test and debug the application on the device.</p>
</li>
<li><a href="creator-deployment-qnx.html">Deploying Applications to QNX Neutrino Devices</a><p>When you deploy the application to a QNX Neutrino device, Qt Creator copies the application files to the connected device. You can test and debug the application on the device.</p>
</li>
</ul>
</div>
<!-- @@@creator-deployment.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-running-targets.html">Running on Multiple Platforms</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-deploying-android.html">Deploying Applications to Android Devices</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
